History module
Endpoints
Endpoints for managing Call Details Reports, Call Recordings, Chats and Voicemessages
GET
/chats Returns collection of Chat resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/chats HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3200,
"created_at": "2022-02-25 01:52:58",
"customer_id": 9278,
"duration": 3662,
"operator_id": 7520,
"operator_ua": "value",
"state": 3,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 1493
}
],
"total": 59
}
GET
/chats/{id} Returns Chat resource for given Id
Parameters
Endpoint URL:
{id} integerChat identifier
Example Request
GET /v1.1/voipstudio/chats/99 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5747,
"created_at": "2017-06-21 18:51:43",
"customer_id": 118,
"duration": 4050,
"operator_id": 3867,
"operator_ua": "value",
"state": 1,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 9887
},
"links": {}
}
DELETE
/chatmsgs/{ids} Deletes given chat message resources
Parameters
Endpoint URL:
{ids} comma separated list of integersResource identifiers
Example Request
DELETE /v1.1/voipstudio/chatmsgs/52,159,427 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
DELETE
/chatmsgs Deletes collection of ChatMsg resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/chatmsgs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs Returns collection of Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8381,
"billsec": 1723,
"call_id": 4509,
"calldate": "2022-08-06 09:23:40",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 1,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 1195,
"info": "value",
"is_root": true,
"live_id": 1210,
"parent_live_id": 9897,
"root_live_id": 5518,
"server_id": 9317,
"sip_endpoint_id": 9963,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 8087
}
],
"total": 59
}
PATCH
/cdrs [BULK] Updates existing Cdr resources
Parameters
Example Request
PATCH /v1.1/voipstudio/cdrs HTTP/1.1
Host: l7api.com
[
[],
{
"id": 8593
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1104,
"billsec": 7709,
"call_id": 8097,
"calldate": "2017-11-22 08:49:25",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4321,
"info": "value",
"is_root": true,
"live_id": 8008,
"parent_live_id": 335,
"root_live_id": 4831,
"server_id": 5229,
"sip_endpoint_id": 371,
"src": "12124537768",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 794
},
"links": {}
}
DELETE
/cdrs Deletes collection of Cdr resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs/calltracking Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/calltracking HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2657,
"billsec": 2384,
"call_id": 7782,
"calldate": "2025-11-07 00:22:54",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 3,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 3750,
"info": "value",
"is_root": true,
"live_id": 1435,
"parent_live_id": 6304,
"root_live_id": 5646,
"server_id": 817,
"sip_endpoint_id": 6506,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 5828
}
],
"total": 59
}
GET
/cdrs/{id} Returns Cdr resource for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/29 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4948,
"billsec": 5740,
"call_id": 7483,
"calldate": "2026-06-07 02:39:15",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 0,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 6565,
"info": "value",
"is_root": true,
"live_id": 569,
"parent_live_id": 8581,
"root_live_id": 887,
"server_id": 7520,
"sip_endpoint_id": 4366,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 6698
},
"links": {}
}
GET
/cdrs/{id}.trace Returns Cdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/9.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7118,
"billsec": 3429,
"call_id": 1669,
"calldate": "2020-04-29 08:15:25",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 3,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 1112,
"info": "value",
"is_root": true,
"live_id": 4579,
"parent_live_id": 1001,
"root_live_id": 7014,
"server_id": 3274,
"sip_endpoint_id": 7311,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 3336
},
"links": {}
}
GET
/cdrs/{id}.pcap Returns Cdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/27.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9449,
"billsec": 9498,
"call_id": 2125,
"calldate": "2018-10-31 08:49:28",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 2,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 8483,
"info": "value",
"is_root": true,
"live_id": 9134,
"parent_live_id": 5681,
"root_live_id": 3577,
"server_id": 4441,
"sip_endpoint_id": 1632,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 5557
},
"links": {}
}
GET
/cdrs/dictionaries Returns Dictionary for Cdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4660,
"billsec": 7975,
"call_id": 2956,
"calldate": "2024-02-01 06:53:18",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 1,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 7578,
"info": "value",
"is_root": true,
"live_id": 4010,
"parent_live_id": 4802,
"root_live_id": 8986,
"server_id": 495,
"sip_endpoint_id": 8464,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 3213
}
],
"total": 59
}
GET
/cdrs/{id}/notes Returns Notes for give CDR resource
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/54/notes HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7296,
"billsec": 6478,
"call_id": 8698,
"calldate": "2023-06-14 11:30:17",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "12124537768",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 3518,
"info": "value",
"is_root": true,
"live_id": 9873,
"parent_live_id": 4833,
"root_live_id": 2944,
"server_id": 7663,
"sip_endpoint_id": 402,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 83
},
"links": {}
}
GET
/conversations Returns collection of Conversation resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/conversations HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2020-08-02 03:29:40",
"customer_id": 1457,
"cx_score": 8990,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 9688,
"last_activity_at": "2020-08-02 03:41:22",
"last_message": "value",
"last_message_at": "2020-08-02 03:30:48",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 5409,
"src": "13103345244",
"src_id": "value",
"src_name": "value",
"type": 1,
"user_id": 4255,
"voicemessage_id": 9468
}
],
"total": 59
}
PATCH
/conversations [BULK] Updates existing Conversation resources
Parameters
JSON body attributes:
id undefined
labels array
notes undefined
Example Request
PATCH /v1.1/voipstudio/conversations HTTP/1.1
Host: l7api.com
[
{
"id": "abcd",
"labels": "abcd",
"notes": "abcd"
},
{
"id": 4229,
"labels": "abcd",
"notes": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2025-12-13 01:01:22",
"customer_id": 3936,
"cx_score": 4982,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 5027,
"last_activity_at": "2025-12-13 01:06:18",
"last_message": "value",
"last_message_at": "2025-12-13 01:03:30",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 821,
"src": "13103345244",
"src_id": "value",
"src_name": "value",
"type": 1,
"user_id": 3848,
"voicemessage_id": 7878
},
"links": {}
}
GET
/conversations/{id} Returns Conversation Result resource for given Id
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
GET /v1.1/voipstudio/conversations/9 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2020-03-06 21:56:18",
"customer_id": 32,
"cx_score": 6660,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 1854,
"last_activity_at": "2020-03-06 21:52:02",
"last_message": "value",
"last_message_at": "2020-03-06 21:44:35",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 3942,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 3,
"user_id": 4252,
"voicemessage_id": 5644
},
"links": {}
}
PATCH
/conversations/{id}/members Marks a Conversation as read or unread for the authenticated user
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
PATCH /v1.1/voipstudio/conversations/59/members HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
404 Resource not found
401 Unauthorized
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2020-12-18 11:07:29",
"customer_id": 7840,
"cx_score": 2226,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 3423,
"last_activity_at": "2020-12-18 11:02:33",
"last_message": "value",
"last_message_at": "2020-12-18 11:16:05",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 3369,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 2,
"user_id": 7900,
"voicemessage_id": 826
},
"links": {}
}
GET
/monitors Returns collection of Monitor resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6406,
"call_id": 5727,
"called": "44203846719",
"caller": "44779243705",
"context": "value",
"cx_score": 2867,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 7242,
"live_id": 8166,
"sentiment": 1,
"sip_endpoint_id": 6653,
"size": 2385,
"src": "44203844711",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2022-11-09 23:37:42",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 5755
}
],
"total": 59
}
DELETE
/monitors Deletes all Monitor resources for given customer
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/monitors/{id} Returns Monitor resource for given Id
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/25 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2846,
"call_id": 835,
"called": "13103345244",
"caller": "44203846719",
"context": "value",
"cx_score": 5778,
"dst": "13103345244",
"dst_id": "value",
"dst_name": "value",
"duration": 4380,
"live_id": 3376,
"sentiment": 1,
"sip_endpoint_id": 2893,
"size": 834,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2018-12-30 10:26:03",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 1647
},
"links": {}
}
GET
/monitors/{id}.mp3 Returns Monitor resource for given Id as MP3 audio file
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/52.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5623,
"call_id": 5682,
"called": "44203844711",
"caller": "32179243705",
"context": "value",
"cx_score": 4553,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 5931,
"live_id": 9489,
"sentiment": 2,
"sip_endpoint_id": 6506,
"size": 5576,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2024-07-29 00:00:46",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 3494
},
"links": {}
}
DELETE
/monitors/{ids} Deletes given Monitor resources
Parameters
Endpoint URL:
{ids} comma separated list of integersMonitor identifiers
Example Request
DELETE /v1.1/voipstudio/monitors/24,116,484 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/msdrs Returns collection of Msdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6390,
"call_id": "value",
"created_at": "2017-04-20 13:46:33",
"dst": "44203846719",
"dst_id": "value",
"dst_ua": "value",
"duration": 8101,
"media_session_id": 8099,
"src": "44779243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 9776
}
],
"total": 59
}
GET
/msdrs/{id} Returns Msdr resource for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/4 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1166,
"call_id": "value",
"created_at": "2024-08-29 19:34:55",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 8000,
"media_session_id": 2723,
"src": "44203844711",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 9818
},
"links": {}
}
GET
/msdrs/{id}.trace Returns Msdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/29.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2524,
"call_id": "value",
"created_at": "2023-03-27 08:28:24",
"dst": "32179243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 1956,
"media_session_id": 9024,
"src": "44203844711",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 8564
},
"links": {}
}
GET
/msdrs/{id}.pcap Returns Msdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/32.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4814,
"call_id": "value",
"created_at": "2021-05-29 22:12:10",
"dst": "12124537768",
"dst_id": "value",
"dst_ua": "value",
"duration": 653,
"media_session_id": 2664,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 4697
},
"links": {}
}
GET
/msdrs/dictionaries Returns Dictionary for Msdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 586,
"call_id": "value",
"created_at": "2025-07-09 12:57:51",
"dst": "44203846719",
"dst_id": "value",
"dst_ua": "value",
"duration": 7343,
"media_session_id": 2695,
"src": "44779243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 8959
}
],
"total": 59
}
GET
/offlinemessages Returns collection of OfflineMessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/offlinemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2912,
"chat_id": 6593,
"created_at": "2018-07-31 08:32:00",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 7421
}
],
"total": 59
}
GET
/offlinemessages/{id} Returns OfflineMessage resource for given Id
Parameters
Endpoint URL:
{id} integerOfflineMessage identifier
Example Request
GET /v1.1/voipstudio/offlinemessages/32 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5916,
"chat_id": 5945,
"created_at": "2020-09-24 03:13:18",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 6426
},
"links": {}
}
DELETE
/statements Deletes collection of Statement resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/statements HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/voicemessages Returns collection of Voicemessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3708,
"caller": "12124537768",
"callerid": "44203844711",
"dialled": "44203844711",
"duration": 2119,
"extension_id": 3895,
"folder": 0,
"is_new": true,
"live_id": 3460,
"origtime": "2022-08-11 02:56:32",
"parent_live_id": 958,
"transcript": "value"
}
],
"total": 59
}
PATCH
/voicemessages [BULK] Updates folder of existing Voicemessage resources
Parameters
JSON body attributes:
id integer
folder string
Example Request
PATCH /v1.1/voipstudio/voicemessages HTTP/1.1
Host: l7api.com
[
{
"id": 967,
"folder": "abcd"
},
{
"id": 9631,
"folder": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9419,
"caller": "13103345244",
"callerid": "13103345244",
"dialled": "44203846719",
"duration": 3166,
"extension_id": 8629,
"folder": 2,
"is_new": true,
"live_id": 8921,
"origtime": "2026-10-13 21:41:20",
"parent_live_id": 506,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages Deletes collection of Voicemessage resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/voicemessages/{id} Returns Voicemessage resource for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/20 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3460,
"caller": "44779243705",
"callerid": "44203844711",
"dialled": "44203846719",
"duration": 1376,
"extension_id": 90,
"folder": 2,
"is_new": true,
"live_id": 4478,
"origtime": "2021-12-24 16:03:41",
"parent_live_id": 6247,
"transcript": "value"
},
"links": {}
}
GET
/voicemessages/{id}.mp3 Returns Voicemessage MP3 file for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/33.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1560,
"caller": "13103345244",
"callerid": "12124537768",
"dialled": "12124537768",
"duration": 1972,
"extension_id": 6119,
"folder": 1,
"is_new": true,
"live_id": 2129,
"origtime": "2022-04-25 23:52:42",
"parent_live_id": 4117,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages/{ids} Deletes given voicemessage resources
Parameters
Endpoint URL:
{ids} comma separated list of integersVoicemessage identifiers
Example Request
DELETE /v1.1/voipstudio/voicemessages/36,185,477 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/sms/dictionaries Returns Dictionary for SMS resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/sms/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1629,
"conversation_id": "value",
"created_at": "2024-02-06 09:31:38",
"from": "44203844711",
"from_id": "value",
"from_name": "value",
"message": "value",
"result": "value",
"to": "32179243705",
"to_id": "value",
"to_name": "value",
"type": "value",
"user_id": 3777
}
],
"total": 59
}
GET
/calltracking/cdrs Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/calltracking/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9525,
"billsec": 3485,
"call_id": 9322,
"calldate": "2019-09-20 19:55:32",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4981,
"info": "value",
"is_root": true,
"live_id": 9807,
"parent_live_id": 2084,
"root_live_id": 2653,
"server_id": 8079,
"sip_endpoint_id": 2218,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 5874
}
],
"total": 59
}
GET
/users/{id}/cdrs.csv Exports collection of Cdr resources to .csv file for given user
Parameters
Endpoint URL:
{id} integerUser identifier
Example Request
GET /v1.1/voipstudio/users/62/cdrs.csv HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1171,
"active": true,
"created_at": "value",
"customer": 911,
"email": "value",
"first_name": "value",
"is_initial": true,
"is_root": true,
"last_name": "value",
"legacy_api_key": "value",
"roles": "value",
"status": 2,
"two_factor_auth": 0,
"visited_apps": "value"
},
"links": {}
}
GET
/mediasessions/dictionaries Returns Dictionary for Media Session resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/mediasessions/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2963,
"call_id": "value",
"created_at": "2019-08-09 01:01:58",
"dst_id": "value",
"dst_ua": "value",
"duration": 821,
"src_id": "value",
"src_ua": "value",
"status": "value",
"type": "value",
"updated_at": "2019-08-09 01:09:13",
"user": 6331
}
],
"total": 59
}
Models
CDR
| Attribute | Data type | Description |
| id | integer | Object ID |
| duration | integer | Call duration in seconds |
| live_id | integer | The identifier of the Live Call that generated this CDR record. It can be used to look up related records, such as call recordings. |
| parent_live_id | integer | The identifier of parent (previous) Live Call that generated this CDR record. |
| user_id | integer | The identifier of the User who made the call. |
| sip_endpoint_id | integer | The identifier of the SIP Endpoint which made or received the call. |
| server_id | integer | The identifier of the Media Server which handled the call. |
| type | string | Call type: O (outbound), I (inbound), M (missed) |
| calldate | string | Date and time of the call in format YYYY-MM-DD H:I:S in UTC timezone |
| clid | string | Caller ID (if available) with number; |
| src_id | string | The identified of the Source of the call, for example User ID 10002 or Contact ID contact:3423 |
| src_name | string | String representation of Source of the call, for example Contact name |
| src | string | Telephone number associated with the Source of the call |
| src_ua | string | User agent of the Source of the call |
| src_codec | string | Audio Codec of the Source of the call |
| dst_id | string | The identified of the Destination of the call, for example User ID 10002, Contact ID contact:3423 an IVR IVR324 or a Queue Queue12443 |
| dst | string | Telephone number associated with the Destination of the call |
| dst_name | string | String representation of Destination of the call, for example Contact name or a Queue name |
| dst_ua | string | User agent of the Destination of the call |
| dst_codec | string | Audio Codec of the Source of the call |
| billsec | integer | Billable (connected) time of the call |
| disposition | string | Outcome of the call, one of: INITIAL, RINGING, CONNECTED, ON_HOLD or VM (Voicemail) |
| destination | string | Call direction: in (inbound), out (outbound), webcall (Web Call) or callmeback (Call Me Back) |
| context | string | Call context: PSTN_CALL, USER_LOCAL, IVR, FOLLOW_ME, TEST_CALL etc. |
| t_cause | string | Call termination reason, for example: Normal Clearing, User busy, No user responding etc. |
| info | string | Additional information about the call. |
| call_id | integer | Depreciated |
| is_root | boolean | Depreciated |
| root_live_id | integer | Depreciated |